<?php

// extended parameters for 
// simpleviewer module

/*
Option Name  	Default Value  	Description
useReloadButton 	true 	Whether to use the circular reload button under the images, or to use next/back arrow buttons for gallery paging.
showFlipButton 	true 	Whether to display the 'flip' button at the bottom-right of a zoomed in image. Affects all images.
		For XML galleries, you can also remove the flip button for an individual image by adding the 'showFlipButton' property to the image's photo tag in the gallery XML document.
showLinkButton 	true 	Whether to display the 'go to Flickr page' button on the image flipside. Affects all images.
		For XML galleries, you can also remove the link button for an individual image by removing the 'linkurl' property from the image's photo tag in the gallery XML document.
columns 	5 	Number of columns of images to display.
rows 		5 	Number of rows of images to display.
linkLabel 	"go to Flickr page" 	Text to display as the flipside link button label.
frameColor 	0xFFFFFF 	Hexadecimal color value of the image frame.
backColor 	0xFFFF00 	Hexadecimal color value of the flipside background.
bkgndInnerColor 	0x333333 	Hexadecimal color value of the stage background gradient center.
bkgndOuterColor 	0x000000 	Hexadecimal color value of the stage background gradient edge.
langGoFull 	Go Fullscreen 	The text displayed for the right-click 'Go Fullscreen' menu option. Can be used to translate TiltViewer into a non-English language.
langExitFull 	Exit Fullscreen 	The text displayed for the right-click 'Exit Fullscreen' menu option. Can be used to translate TiltViewer into a non-English language.
langAbout 	About 	The text displayed for the right-click 'About' menu option. Can be used to translate TiltViewer into a non-English language. 

*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


// default values
if (!isset($ext_datas)) $ext_datas = array(
		'allowFullScreen'	=> true,
		'useReloadButton' 	=> true,
		'showFlipButton' 	=> true,
		'showLinkButton' 	=> true,
		'columns'			=> "5",
		'rows' 				=> "5",
		'linkLabel' 		=> "go to Picture page" ,
		'frameColor' 		=> "#FFFFFF",
		'backColor'			=> "#FFFF00",
		'bkgndInnerColor' 	=> "#333333",
		'bkgndOuterColor' 	=> "#000000",
		'langGoFull' 		=> "Go Fullscreen" ,
		'langExitFull' 		=> "Exit Fullscreen", 
		'langAbout' 		=> "About",
		'maxJPGSize'		=> "500"
);


// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
		if ($key == "useReloadButton" OR $key == "showFlipButton" OR $key == "showLinkButton" OR $key == "allowFullScreen")
			$ext_datas[$key] = isset($_POST['TV_'.$key]);
		else
			$ext_datas[$key] = $_POST['TV_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "useReloadButton" OR $key == "showFlipButton" OR $key == "showLinkButton" OR $key == "allowFullScreen")
		$template->assign(array( 'TV_'.$key => (isset($ext_datas[$key]) ? 'checked="checked"': '')));
	else
		$template->assign(array( 'TV_'.$key => $ext_datas[$key]));

}
$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));

$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>